libzypp: zypp::ZYppCommitPolicy Class Reference

libzypp 17.38.5

zypp::ZYppCommitPolicy Class Reference

Options and policies for ZYpp::commit. More...

`#include <zypp/ZYppCommitPolicy.h>`

## Classes
class | Impl

## Public Member Functions
| ZYppCommitPolicy ()
ZYppCommitPolicy & | restrictToMedia (unsigned mediaNr_r)
| Restrict commit to media 1.
ZYppCommitPolicy & | allMedia ()
| Process all media (default).
unsigned | restrictToMedia () const
ZYppCommitPolicy & | dryRun (bool yesNo_r)
| Set dry run (default: false).
bool | dryRun () const
ZYppCommitPolicy & | downloadMode (DownloadMode val_r)
| Commit download policy to use.
DownloadMode | downloadMode () const
ZYppCommitPolicy & | rpmInstFlags (target::rpm::RpmInstFlags newFlags_r)
| The default target::rpm::RpmInstFlags.
ZYppCommitPolicy & | rpmNoSignature (bool yesNo_r)
| Use rpm option –nosignature (default: false).
ZYppCommitPolicy & | rpmExcludeDocs (bool yesNo_r)
| Use rpm option –excludedocs (default: false).
target::rpm::RpmInstFlags | rpmInstFlags () const
bool | rpmNoSignature () const
bool | rpmExcludeDocs () const
ZYppCommitPolicy & | allowDowngrade (bool yesNo_r)
| Allow to replace a newer package with an older one (rollback to a older version).
bool | allowDowngrade () const
ZYppCommitPolicy & | replaceFiles (bool yesNo_r)
| If enabled it allows installation of packages even if they replace files from other, already installed, packages.
bool | replaceFiles () const
ZYppCommitPolicy & | syncPoolAfterCommit (bool yesNo_r)
| Kepp pool in sync with the Target databases after commit (default: true).
bool | syncPoolAfterCommit () const
bool | singleTransModeEnabled () const
| Whether the single_rpmtrans backend is enabled (or the classic_rpmtrans).

## Private Attributes
RWCOW_pointer< Impl > | _pimpl
| Pointer to data.

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const ZYppCommitPolicy &obj) ZYPP_API
| Stream output.

## Detailed Description

Options and policies for ZYpp::commit.

See also
  ZYpp::commit

Definition at line 33 of file ZYppCommitPolicy.h.

## Constructor & Destructor Documentation

## ◆ ZYppCommitPolicy()

zypp::ZYppCommitPolicy::ZYppCommitPolicy | ( |  | ) |

Definition at line 142 of file ZYppCommitPolicy.cc.

## Member Function Documentation

## ◆ restrictToMedia() [1/2]

ZYppCommitPolicy & zypp::ZYppCommitPolicy::restrictToMedia | ( | unsigned | mediaNr_r | ) |

Restrict commit to media 1.

Fake outstanding YCP fix: Honour restriction to media 1 at installation, but install all remaining packages if post-boot (called with mediaNr_r > 1).

Definition at line 147 of file ZYppCommitPolicy.cc.

## ◆ allMedia()

ZYppCommitPolicy & zypp::ZYppCommitPolicy::allMedia | ( |  | ) |
| inline

Process all media (default).

Definition at line 48 of file ZYppCommitPolicy.h.

## ◆ restrictToMedia() [2/2]

unsigned zypp::ZYppCommitPolicy::restrictToMedia | ( |  | ) | const

Definition at line 150 of file ZYppCommitPolicy.cc.

## ◆ dryRun() [1/2]

ZYppCommitPolicy & zypp::ZYppCommitPolicy::dryRun | ( | bool | yesNo_r | ) |

Set dry run (default: false).

Dry-run should not change anything on the system, unless the downloadMode is set to DownloadOnly. In that case packages are downloaded to the local cache.

Definition at line 154 of file ZYppCommitPolicy.cc.

## ◆ dryRun() [2/2]

bool zypp::ZYppCommitPolicy::dryRun | ( |  | ) | const

Definition at line 157 of file ZYppCommitPolicy.cc.

## ◆ downloadMode() [1/2]

ZYppCommitPolicy & zypp::ZYppCommitPolicy::downloadMode | ( | DownloadMode | val_r | ) |

Commit download policy to use.

(default: DownloadDefault)

Note
  DownloadOnly also implies a dryRun.
  DownloadAsNeeded can not be combined with the rpm singletrans installer backend because a rpm transaction requires all package headers to be available the the beginning of the transaction. So explicitly selecting this mode also turns on the classic_rpmtrans backend.

Definition at line 160 of file ZYppCommitPolicy.cc.

## ◆ downloadMode() [2/2]

DownloadMode zypp::ZYppCommitPolicy::downloadMode | ( |  | ) | const

Definition at line 163 of file ZYppCommitPolicy.cc.

## ◆ rpmInstFlags() [1/2]

ZYppCommitPolicy & zypp::ZYppCommitPolicy::rpmInstFlags | ( | target::rpm::RpmInstFlags | newFlags_r | ) |

The default target::rpm::RpmInstFlags.

(default: none)

Definition at line 166 of file ZYppCommitPolicy.cc.

## ◆ rpmNoSignature() [1/2]

ZYppCommitPolicy & zypp::ZYppCommitPolicy::rpmNoSignature | ( | bool | yesNo_r | ) |

Use rpm option –nosignature (default: false).

Definition at line 169 of file ZYppCommitPolicy.cc.

## ◆ rpmExcludeDocs() [1/2]

ZYppCommitPolicy & zypp::ZYppCommitPolicy::rpmExcludeDocs | ( | bool | yesNo_r | ) |

Use rpm option –excludedocs (default: false).

Definition at line 172 of file ZYppCommitPolicy.cc.

## ◆ rpmInstFlags() [2/2]

target::rpm::RpmInstFlags zypp::ZYppCommitPolicy::rpmInstFlags | ( |  | ) | const

Definition at line 175 of file ZYppCommitPolicy.cc.

## ◆ rpmNoSignature() [2/2]

bool zypp::ZYppCommitPolicy::rpmNoSignature | ( |  | ) | const

Definition at line 178 of file ZYppCommitPolicy.cc.

## ◆ rpmExcludeDocs() [2/2]

bool zypp::ZYppCommitPolicy::rpmExcludeDocs | ( |  | ) | const

Definition at line 181 of file ZYppCommitPolicy.cc.

## ◆ allowDowngrade() [1/2]

ZYppCommitPolicy & zypp::ZYppCommitPolicy::allowDowngrade | ( | bool | yesNo_r | ) |

Allow to replace a newer package with an older one (rollback to a older version).

Definition at line 184 of file ZYppCommitPolicy.cc.

## ◆ allowDowngrade() [2/2]

bool zypp::ZYppCommitPolicy::allowDowngrade | ( |  | ) | const

Definition at line 187 of file ZYppCommitPolicy.cc.

## ◆ replaceFiles() [1/2]

ZYppCommitPolicy & zypp::ZYppCommitPolicy::replaceFiles | ( | bool | yesNo_r | ) |

If enabled it allows installation of packages even if they replace files from other, already installed, packages.

Definition at line 190 of file ZYppCommitPolicy.cc.

## ◆ replaceFiles() [2/2]

bool zypp::ZYppCommitPolicy::replaceFiles | ( |  | ) | const

Definition at line 193 of file ZYppCommitPolicy.cc.

## ◆ syncPoolAfterCommit() [1/2]

ZYppCommitPolicy & zypp::ZYppCommitPolicy::syncPoolAfterCommit | ( | bool | yesNo_r | ) |

Kepp pool in sync with the Target databases after commit (default: true).

Definition at line 196 of file ZYppCommitPolicy.cc.

## ◆ syncPoolAfterCommit() [2/2]

bool zypp::ZYppCommitPolicy::syncPoolAfterCommit | ( |  | ) | const

Definition at line 199 of file ZYppCommitPolicy.cc.

## ◆ singleTransModeEnabled()

bool zypp::ZYppCommitPolicy::singleTransModeEnabled | ( |  | ) | const

Whether the single_rpmtrans backend is enabled (or the classic_rpmtrans).

Definition at line 202 of file ZYppCommitPolicy.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const ZYppCommitPolicy & | obj )
| related

Stream output.

Definition at line 230 of file ZYppCommitPolicy.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Impl> zypp::ZYppCommitPolicy::_pimpl
| private

Pointer to data.

Definition at line 112 of file ZYppCommitPolicy.h.

The documentation for this class was generated from the following files:

- zypp/ZYppCommitPolicy.h
- zypp/ZYppCommitPolicy.cc